﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace DiagramTest
{
    public static class MyProperties
    {
        public static readonly DependencyProperty CircleBrushProperty =
            DependencyProperty.RegisterAttached("CircleBrush", typeof(Brush), typeof(MyProperties), new PropertyMetadata(null));

        public static Brush GetCircleBrush(DependencyObject obj)
        {
            return (Brush)obj.GetValue(CircleBrushProperty);
        }

        public static void SetCircleBrush(DependencyObject obj, Brush value)
        {
            obj.SetValue(CircleBrushProperty, value);
        }
    }
}
